Show / Hide Table of Contents

# Class SVGConvertOptions

##### Inheritance

object
OptionsBase
SVGConvertOptions

##### Implements

IDisposable

##### Inherited Members

OptionsBase.mObjSet
OptionsBase.mDict
OptionsBase.ColorPtToNumber(ColorPt)
OptionsBase.ColorPtFromNumber(double)
OptionsBase.GetArray(string)
OptionsBase.PutNumber(string, double)
OptionsBase.PutBool(string, bool)
OptionsBase.PutText(string, string)
OptionsBase.PutRect(string, Rect)
OptionsBase.PushBackNumber(string, double)
OptionsBase.PushBackBool(string, bool)
OptionsBase.PushBackText(string, string)
OptionsBase.PushBackRect(string, Rect)
OptionsBase.RectFromArray(Obj)
OptionsBase.insertRectCollection(string, RectCollection, int)
OptionsBase.GetInternalObj()
OptionsBase.Dispose()
OptionsBase.Dispose(bool)
OptionsBase.Destroy()
object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: pdftron.PDF

###### Assembly: PDFTronDotNet.dll

##### Syntax

    public class SVGConvertOptions : OptionsBase, IDisposable

### Constructors

#### SVGConvertOptions()

Constructor.

##### Declaration

    public SVGConvertOptions()

### Methods

#### GetConvertLinks()

Gets the value ConvertLinks from the options object Instructs the conversion process to generate interactive Link annotations from links in the SVG input file.

##### Declaration

    public bool GetConvertLinks()

##### Returns

Type | Description
--- | ---
bool | a bool, Instructs the conversion process to generate interactive Link annotations from links in the SVG input file..

#### GetDefaultFontFamily()

Gets the value DefaultFontFamily from the options object Name of the font family which is used if a font for some text in the graphics file is either not specified or not available. Default: Arial Unicode MS if available, otherwise Helvetica.

##### Declaration

    public string GetDefaultFontFamily()

##### Returns

Type | Description
--- | ---
string | a string, Name of the font family which is used if a font for some text in the graphics file is either not specified or not available. Default: Arial Unicode MS if available, otherwise Helvetica..

#### GetFallbackFontFamily()

Gets the value FallbackFontFamily from the options object Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file. Default: empty.

##### Declaration

    public string GetFallbackFontFamily()

##### Returns

Type | Description
--- | ---
string | a string, Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file. Default: empty..

#### GetFallbackHeight()

Gets the value FallbackHeight from the options object Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied. Height >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Declaration

    public double GetFallbackHeight()

##### Returns

Type | Description
--- | ---
double | a double, Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied. Height >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0..

#### GetFallbackWidth()

Gets the value FallbackWidth from the options object Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied. Width >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Declaration

    public double GetFallbackWidth()

##### Returns

Type | Description
--- | ---
double | a double, Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied. Width >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0..

#### GetForceSRGB()

Gets the value ForceSRGB from the options object If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead. This option does not affect referenced images. Default: false.

##### Declaration

    public bool GetForceSRGB()

##### Returns

Type | Description
--- | ---
bool | a bool, If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead. This option does not affect referenced images. Default: false..

#### GetForcedHeight()

Gets the value ForcedHeight from the options object The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: height attribute of the graphics.

##### Declaration

    public double GetForcedHeight()

##### Returns

Type | Description
--- | ---
double | a double, The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: height attribute of the graphics..

#### GetForcedWidth()

Gets the value ForcedWidth from the options object The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: width attribute of the graphics.

##### Declaration

    public double GetForcedWidth()

##### Returns

Type | Description
--- | ---
double | a double, The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: width attribute of the graphics..

#### GetHonorIccProfile()

Gets the value HonorIccProfile from the options object If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors. Default: true.

##### Declaration

    public bool GetHonorIccProfile()

##### Returns

Type | Description
--- | ---
bool | a bool, If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors. Default: true..

#### GetInline()

Gets the value Inline from the options object If true, create output inline in the content stream; otherwise a separate Form XObject is created. The inline method suffers from disadvantages related to transparency handling. On the other hand, this option is required if active links in the graphics should be converted (option ConvertLinks). Default: true.

##### Declaration

    public bool GetInline()

##### Returns

Type | Description
--- | ---
bool | a bool, If true, create output inline in the content stream; otherwise a separate Form XObject is created. The inline method suffers from disadvantages related to transparency handling. On the other hand, this option is required if active links in the graphics should be converted (option ConvertLinks). Default: true..

#### GetLang()

Gets the value Lang from the options object Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g. in an SVG switch element. Default: the language identifier found in the LANG environment variable.

##### Declaration

    public string GetLang()

##### Returns

Type | Description
--- | ---
string | a string, Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g. in an SVG switch element. Default: the language identifier found in the LANG environment variable..

#### SetConvertLinks(bool)

Sets the value for ConvertLinks in the options object Instructs the conversion process to generate interactive Link annotations from links in the SVG input file.

##### Declaration

    public SVGConvertOptions SetConvertLinks(bool value)

##### Parameters

Type | Name | Description
--- | --- | ---
bool | value | Instructs the conversion process to generate interactive Link annotations from links in the SVG input file.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetDefaultFontFamily(string)

Sets the value for DefaultFontFamily in the options object Name of the font family which is used if a font for some text in the graphics file is either not specified or not available. Default: Arial Unicode MS if available, otherwise Helvetica.

##### Declaration

    public SVGConvertOptions SetDefaultFontFamily(string value)

##### Parameters

Type | Name | Description
--- | --- | ---
string | value | Name of the font family which is used if a font for some text in the graphics file is either not specified or not available. Default: Arial Unicode MS if available, otherwise Helvetica.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetFallbackFontFamily(string)

Sets the value for FallbackFontFamily in the options object Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file. Default: empty.

##### Declaration

    public SVGConvertOptions SetFallbackFontFamily(string value)

##### Parameters

Type | Name | Description
--- | --- | ---
string | value | Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file. Default: empty.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetFallbackHeight(double)

Sets the value for FallbackHeight in the options object Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied. Height >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Declaration

    public SVGConvertOptions SetFallbackHeight(double value)

##### Parameters

Type | Name | Description
--- | --- | ---
double | value | Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied. Height >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetFallbackWidth(double)

Sets the value for FallbackWidth in the options object Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied. Width >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Declaration

    public SVGConvertOptions SetFallbackWidth(double value)

##### Parameters

Type | Name | Description
--- | --- | ---
double | value | Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied. Width >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetForceSRGB(bool)

Sets the value for ForceSRGB in the options object If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead. This option does not affect referenced images. Default: false.

##### Declaration

    public SVGConvertOptions SetForceSRGB(bool value)

##### Parameters

Type | Name | Description
--- | --- | ---
bool | value | If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead. This option does not affect referenced images. Default: false.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetForcedHeight(double)

Sets the value for ForcedHeight in the options object The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: height attribute of the graphics.

##### Declaration

    public SVGConvertOptions SetForcedHeight(double value)

##### Parameters

Type | Name | Description
--- | --- | ---
double | value | The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: height attribute of the graphics.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetForcedWidth(double)

Sets the value for ForcedWidth in the options object The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: width attribute of the graphics.

##### Declaration

    public SVGConvertOptions SetForcedWidth(double value)

##### Parameters

Type | Name | Description
--- | --- | ---
double | value | The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: width attribute of the graphics.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetHonorIccProfile(bool)

Sets the value for HonorIccProfile in the options object If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors. Default: true.

##### Declaration

    public SVGConvertOptions SetHonorIccProfile(bool value)

##### Parameters

Type | Name | Description
--- | --- | ---
bool | value | If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors. Default: true.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetInline(bool)

Sets the value for Inline in the options object If true, create output inline in the content stream; otherwise a separate Form XObject is created. The inline method suffers from disadvantages related to transparency handling. On the other hand, this option is required if active links in the graphics should be converted (option ConvertLinks). Default: true.

##### Declaration

    public SVGConvertOptions SetInline(bool value)

##### Parameters

Type | Name | Description
--- | --- | ---
bool | value | If true, create output inline in the content stream; otherwise a separate Form XObject is created. The inline method suffers from disadvantages related to transparency handling. On the other hand, this option is required if active links in the graphics should be converted (option ConvertLinks). Default: true.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

#### SetLang(string)

Sets the value for Lang in the options object Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g. in an SVG switch element. Default: the language identifier found in the LANG environment variable.

##### Declaration

    public SVGConvertOptions SetLang(string value)

##### Parameters

Type | Name | Description
--- | --- | ---
string | value | Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g. in an SVG switch element. Default: the language identifier found in the LANG environment variable.

##### Returns

Type | Description
--- | ---
SVGConvertOptions | this object, for call chaining

### Implements

IDisposable